{{- if .Values.cronJobs.bulkUpload.enabled -}}
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "library-media-integrations.fullname" . }}-bulk-upload-cron
  labels:
{{ include "library-media-integrations.labels" . | indent 4 }}
spec:
  schedule: {{ .Values.cronJobs.bulkUpload.schedule | quote }}
  successfulJobsHistoryLimit: {{ .Values.cronJobs.bulkUpload.successfulJobsHistoryLimit }}
  failedJobsHistoryLimit: {{ .Values.cronJobs.bulkUpload.failedJobsHistoryLimit }}
  timeZone: {{ .Values.cronJobs.timeZone }}
  jobTemplate:
    spec:
      backoffLimit: {{ .Values.cronJobs.bulkUpload.backoffLimit }}
      template:
        metadata:
          labels:
            app.kubernetes.io/name: {{ include "library-media-integrations.name" . }}-bulk-upload-cron
            app.kubernetes.io/instance: {{ .Release.Name }}-bulk-upload-cron
        spec:
          serviceAccountName: {{ template "library-media-integrations.serviceAccountName" . }}
          containers:
          - name: {{ .Chart.Name }}-bulk-upload-cron
            image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
            imagePullPolicy: {{ .Values.image.pullPolicy }}
            volumeMounts:
            - name: {{ .Values.nfsStorage.volume.name }}
              mountPath: {{ .Values.nfsStorage.volume.mountPath }}
            envFrom:
              - secretRef:
                  name: {{ template "library-media-integrations.secretName" .}}
              - configMapRef:
                  name: {{ include "library-media-integrations.fullname" .}}
            args: ["ruby","bulk_upload.rb"]
          volumes:
          - name: {{ .Values.nfsStorage.volume.name }}
            nfs:
              server: {{ .Values.nfsStorage.server }}
              path: {{ .Values.nfsStorage.path }}
              readOnly: false
          restartPolicy: Never
{{- end -}}
